aboutsummaryrefslogtreecommitdiffstats
path: root/package/kernel/lantiq/ltq-vmmc/files
diff options
context:
space:
mode:
authorSebastian Kemper <sebastian_ml@gmx.net>2020-06-09 19:18:55 +0200
committerPetr Štetiar <ynezz@true.cz>2020-07-11 14:49:10 +0200
commitff8b8fee890dae345d6a5189a8633214f6a4da3a (patch)
treeef3e266d04a8c27079639360fb92c666fb16783f /package/kernel/lantiq/ltq-vmmc/files
parent2a5460b11b9718ed5f398fcc381edc89bce72695 (diff)
downloadupstream-ff8b8fee890dae345d6a5189a8633214f6a4da3a.tar.gz
upstream-ff8b8fee890dae345d6a5189a8633214f6a4da3a.tar.bz2
upstream-ff8b8fee890dae345d6a5189a8633214f6a4da3a.zip
ltq-vmmc: update permission handling
The firmware is currently just copied. It can end up with o= on the device (this is the case for voice_ar9_firmware.bin for instance). Instead of copying it the Makefile is changed to use the macro "$(INSTALL_DATA)" in order for the file to be world-readable. While at it refactor the device node creation in the init script with loop. Signed-off-by: Sebastian Kemper <sebastian_ml@gmx.net> [removed 2nd part with custom group handling for device nodes] Signed-off-by: Petr Štetiar <ynezz@true.cz>
Diffstat (limited to 'package/kernel/lantiq/ltq-vmmc/files')
-rw-r--r--package/kernel/lantiq/ltq-vmmc/files/vmmc.init16
1 files changed, 5 insertions, 11 deletions
diff --git a/package/kernel/lantiq/ltq-vmmc/files/vmmc.init b/package/kernel/lantiq/ltq-vmmc/files/vmmc.init
index 100a97dc45..402376e294 100644
--- a/package/kernel/lantiq/ltq-vmmc/files/vmmc.init
+++ b/package/kernel/lantiq/ltq-vmmc/files/vmmc.init
@@ -5,15 +5,9 @@
START=31
start() {
- [ ! -c /dev/vmmc10 ] && {
- mknod /dev/vmmc10 c 122 10
- mknod /dev/vmmc11 c 122 11
- mknod /dev/vmmc12 c 122 12
- mknod /dev/vmmc13 c 122 13
- mknod /dev/vmmc14 c 122 14
- mknod /dev/vmmc15 c 122 15
- mknod /dev/vmmc16 c 122 16
- mknod /dev/vmmc17 c 122 17
- mknod /dev/vmmc18 c 122 18
- }
+ for i in 10 11 12 13 14 15 16 17 18; do
+ if ! [ -e /dev/vmmc$i ]; then
+ mknod -m 664 /dev/vmmc$i c 122 $i
+ fi
+ done
}